/// <reference types="react" />
import { Socket } from 'socket.io-client';
export declare type Message = {
    id?: number;
    conversationId: number;
    isToAdmin: boolean;
    content: string;
};
declare type PropsType = {
    rootClass?: string;
    backendChatEndPoint: string;
    conversationId: number;
    socket: Socket;
    isOpen: boolean;
    setIsOpen(status: boolean): void;
};
declare const ClientChatBox: {
    (props: PropsType): JSX.Element;
    defaultProps: {
        conversationId: number;
    };
};
export default ClientChatBox;
